/*
hsv_hls.h

Definitins for hsv_hls.c
*/

#define UNDEFINED_COLOUR -999.0	// This value implies that H or S is irrelevant.


void xhsv_to_rgb (float h, float s, float v, RGB *rgb);
void xrgb_to_hsv(RGB *rgb, float *h, float *s, float *v);
void hls_to_rgb (float h, float l, float s, RGB *rgb);
void rgb_to_hls(RGB *rgb, float *h, float *l, float *s);
