/*
zprite.h
Header file for zprite.c
*/


void zprite_make_z(BITMAP *the_sprite, Z_BUFFER *the_zbuffer, float z, int colour);

void draw_zprite(BITMAP *destbmp, Z_BUFFER *dest_zbuffer, BITMAP *the_sprite, Z_BUFFER *the_zbuffer, int x, int y);
void draw_zprite_v_flip(BITMAP *destbmp, Z_BUFFER *dest_zbuffer, BITMAP *the_sprite, Z_BUFFER *the_zbuffer, int xpos, int ypos);
void draw_zprite_h_flip(BITMAP *destbmp, Z_BUFFER *dest_zbuffer, BITMAP *the_sprite, Z_BUFFER *the_zbuffer, int xpos, int ypos);
void draw_zprite_vh_flip(BITMAP *destbmp, Z_BUFFER *dest_zbuffer, BITMAP *the_sprite, Z_BUFFER *the_zbuffer, int xpos, int ypos);
void draw_trans_zprite(BITMAP *destbmp, Z_BUFFER *dest_zbuffer, BITMAP *the_sprite, Z_BUFFER *the_zbuffer, int xpos, int ypos);
void draw_lit_zprite(BITMAP *destbmp, Z_BUFFER *dest_zbuffer, BITMAP *the_sprite, Z_BUFFER *the_zbuffer, int xpos, int ypos, int color);

void draw_flat_zprite(BITMAP *destbmp, Z_BUFFER *dest_zbuffer, BITMAP *the_sprite, int xpos, int ypos, float z);
void draw_flat_zprite_h_flip(BITMAP *destbmp, Z_BUFFER *dest_zbuffer, BITMAP *the_sprite, int xpos, int ypos, float z);
void draw_flat_zprite_v_flip(BITMAP *destbmp, Z_BUFFER *dest_zbuffer, BITMAP *the_sprite, int xpos, int ypos, float z);
void draw_flat_zprite_vh_flip(BITMAP *destbmp, Z_BUFFER *dest_zbuffer, BITMAP *the_sprite, int xpos, int ypos, float z);
void draw_flat_trans_zprite(BITMAP *destbmp, Z_BUFFER *dest_zbuffer, BITMAP *the_sprite, int xpos, int ypos, float z);
void draw_flat_lit_zprite(BITMAP *destbmp, Z_BUFFER *dest_zbuffer, BITMAP *the_sprite, int xpos, int ypos, float z, int color);

void displace_zprite(BITMAP *destbmp, Z_BUFFER *dest_zbuffer, BITMAP *the_sprite, Z_BUFFER *the_zbuffer, int xpos, int ypos, int w, int h, float z);
void displace_trans_zprite(BITMAP *destbmp, Z_BUFFER *dest_zbuffer, BITMAP *the_sprite, Z_BUFFER *the_zbuffer, int xpos, int ypos, int w, int h, float z);
void displace_flat_zprite(BITMAP *destbmp, Z_BUFFER *dest_zbuffer, BITMAP *sprite, int xpos, int ypos, int w, int h, float z);
void displace_flat_trans_zprite(BITMAP *destbmp, Z_BUFFER *dest_zbuffer, BITMAP *sprite, int xpos, int ypos, int w, int h, float z);

void rotate_zprite(BITMAP *bmp, Z_BUFFER *zb, BITMAP *zprite, Z_BUFFER *zbuffer, int x, int y, fixed angle);
void rotate_flat_zprite(BITMAP *bmp, Z_BUFFER *zb, BITMAP *sprite, int x, int y, fixed angle, float z);
