/*
zbpoly.h
Header file for zbpoly.c
*/

/* Polygon rendering modes that Allergo does not have and are introduced by AllegroPak */
#define POLYTYPE_ATEX_MASK_LIT 9
#define POLYTYPE_PTEX_MASK_LIT 10


void zb_polygon3d(BITMAP *bmp, Z_BUFFER *the_zbuffer, int type, BITMAP *texture, int vc, V3D *vtx[]);
void zb_polygon3d_f(BITMAP *bmp, Z_BUFFER *the_zbuffer, int type, BITMAP *texture, int vc, V3D_f *vtx[]);
void zb_triangle3d(BITMAP *bmp, Z_BUFFER *the_zbuffer, int type, BITMAP *texture, V3D *v1, V3D *v2, V3D *v3);
void zb_triangle3d_f(BITMAP *bmp, Z_BUFFER *the_zbuffer, int type, BITMAP *texture, V3D_f *v1, V3D_f *v2, V3D_f *v3);
void zb_quad3d(BITMAP *bmp, Z_BUFFER *the_zbuffer, int type, BITMAP *texture, V3D *v1, V3D *v2, V3D *v3, V3D *v4);
void zb_quad3d_f(BITMAP *bmp, Z_BUFFER *the_zbuffer, int type, BITMAP *texture, V3D_f *v1, V3D_f *v2, V3D_f *v3, V3D_f *v4);
